//*********************************************
//  Base class for forms
//  Created 30-11-1999
//*********************************************

unit wnd_DefaultWindow;

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
     StdCtrls, Buttons, ExtCtrls, ComCtrls;
type
  TfrmRODefault = class(TForm)
    pnlHeader: TPanel;
    pnlBackground: TPanel;
    pnlLabelStorage: TPanel;
    imgHeader: TImage;
    lblHeader: TLabel;
    pnlSpace: TPanel;
    lblHeaderDescription: TLabel;
    pnlFooter: TPanel;
    btnCancel: TBitBtn;
    btnOk: TBitBtn;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);

  private
    fFlatControls   : Boolean;
    fESCClose       : Boolean;
    fShowHeader     : Boolean;


  published
    //Wystarczy pokry eby adowao itemy do ListView
    Procedure LoadLVData ; Virtual;

    //Wywouje refresh kontrolek po pobraniu danych
    Procedure UpdateControls;Virtual;

    //zmienia wszystkie kontrolki na flat
    Property ROFlatControls: Boolean read fFlatControls write fFlatControls;


    //Zwalnia header
    Property ROShowHeader : Boolean read fShowHeader write fShowHeader;

  Public
    Procedure LoadLanguageDef; Virtual;

    Constructor Create(Sender:TComponent);Override;



  end;

var
  frmRODefault: TfrmRODefault;

implementation

{$R *.DFM}


procedure TfrmRODefault.FormKeyPress(Sender: TObject; var Key: Char);
begin

If fESCClose AND (Key= #27) then
   Begin
   Key:=#0;
   Close;
   End;

end;

procedure TfrmRODefault.FormCreate(Sender: TObject);

begin

Self.Font.Name :='Tahoma';
Self.Font.Charset := EASTEUROPE_CHARSET ;

imgHeader.Picture.Bitmap.LoadFromResourceName(HInstance,'AppLogo');

If NOT fShowHeader Then
   pnlHeader.Free;




end;






procedure TfrmRODefault.FormShow(Sender: TObject);
begin

if lblHeader<>nil then
  If lblHeaderDescription.Caption = '' then
     lblHeader.Height := 48
     Else
     lblHeader.Height := 20;


end;


procedure TfrmRODefault.LoadLVData;
begin



end;





procedure TfrmRODefault.UpdateControls;
begin


end;


constructor TfrmRODefault.Create(Sender: TComponent);

begin

inherited Create(Sender);
LoadLanguageDef;

end;




procedure TfrmRODefault.LoadLanguageDef;
begin

end;


end.


